> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/troubleshooting-articles/the-specified-redirect_uri-is-not-valid-for-this-client-application.md).

# The specified 'redirect\_uri' is not valid for this client application

The following error is displayed when you try to login on the Devolutions Server web page:

```
error:invalid_request
error_description:The specified 'redirect_uri' is not valid for this client application.
error_uri:https://documentation.openiddict.com/errors/ID2043
```

When attempting to login using Microsoft Entra ID authentication in Remote Desktop Manager, you may get the following error message instead:

```
Unable to login with Microsoft Entra ID. Please contact your administrator. Error: Object reference not set to an instance of an object.
```

### Solution

{% hint style="success" %}
The Access URI is case sensitive and must respect the certificate host name.
{% endhint %}

To solve these issues, verify that the Access URI is properly set in the IIS tab of the Devolutions Server settings. Please see [Access URI](https://docs.devolutions.net/server/kb/knowledge-base/access-uri/) for more information.

![](https://cdnweb.devolutions.net/docs/DVLSCONSOLE2014_2025_1.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/server/knowledge-base/troubleshooting-articles/the-specified-redirect_uri-is-not-valid-for-this-client-application.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
